Agent Chat
curl --request POST \
--url https://api.example.com/api/v1/agent/chat \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"thread_id": "<string>",
"message": "",
"page_context": {},
"resume": {}
}
'import requests
url = "https://api.example.com/api/v1/agent/chat"
payload = {
"thread_id": "<string>",
"message": "",
"page_context": {},
"resume": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({thread_id: '<string>', message: '', page_context: {}, resume: {}})
};
fetch('https://api.example.com/api/v1/agent/chat', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}agent
Agent Chat
SSE streaming endpoint for the unified Bavi agent.
Write path:
- Write user message to conversation_messages BEFORE streaming
- Stream agent response via SSE
- Write assistant response to conversation_messages on finish
POST
/
api
/
v1
/
agent
/
chat
Agent Chat
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful Response
⌘I